#!/usr/local/bin/ruby
#
# converted from Info Manual
#                Sample drawings in C
#
# ./test02.rb > test02.ps

require "libplot"

SIZE = 100.0
EXPAND = 2.2

def draw_boxed_string(plotter, s, size, angle)
  plotter.ftextangle(angle)
  true_size = plotter.ffontsize(size)
  width = plotter.flabelwidth(s)
  plotter.fellipserel(0.0, 0.0,
					  EXPAND * 0.5 * width, EXPAND * 0.5 * true_size, angle)
  plotter.alabel('c', 'c', s)
end

plotter_params = Libplot::PlotterParams.new()
plotter_params.setplparam("PAGESIZE", "letter")

plotter = Libplot::Plotter.new("ps", STDIN, STDOUT, STDERR, plotter_params)
if plotter == nil
  STDERR.print "Couldn't create Plotter\n"
  exit 1
end

if plotter.openpl() < 0
  STDERR.print "Couldn't open Plotter\n"
  exit 1
end

plotter.fspace(-(SIZE), -(SIZE), SIZE, SIZE)
plotter.pencolorname("blue")
plotter.fillcolorname("white")
plotter.filltype(1)
plotter.fontname("NewCenturySchlbk-Roman")


i = 80
while i > 1
  theta = 0.5 * i.to_f
  radius = SIZE / (theta ** 0.35)
  plotter.fmove(radius * Math.cos(theta), radius * Math.sin(theta))
  draw_boxed_string (plotter, "GNU libplot!", 0.04 * radius,
					 (180.0 * theta / Math::PI) - 90.0)
  i -= 1
end

if plotter.closepl() < 0
  STDERR.print "Couldn't close Plotter\n"
  exit 1
end

#if plotter.deletepl() < 0
#  STDERR.print "Couldn't delete Plotter\n"
#  exit 1
#end
