#!/usr/local/bin/ruby
#
# converted from Info Manual
#                X Animations in C
#
# ./test04.rb

require "libplot"

i = 0

plotter_params = Libplot::PlotterParams.new()
plotter_params.setplparam("BITMAPSIZE", "300x150")
plotter_params.setplparam("VANISH_ON_DELETE", "yes")
plotter_params.setplparam("USE_DOUBLE_BUFFERING", "yes")

plotter = Libplot::Plotter.new("X", STDIN, STDOUT, STDERR, plotter_params)
if plotter == nil
  STDERR.print "Couldn't create Plotter\n"
  exit 1
end

if plotter.openpl() < 0
  STDERR.print "Couldn't open Plotter\n"
  exit 1
end

plotter.fspace(-0.5, -0.5, 299.5, 149.5)
plotter.linewidth(8)
plotter.filltype(1)
plotter.bgcolorname("saddle brown")

for j in 0..300-1
  plotter.erase
  plotter.pencolorname("red")
  plotter.fillcolorname("cyan")
  plotter.ellipse(i, 75, 35, 50, i)
  plotter.colorname("black")
  plotter.circle (i, 75, 12)
  i = (i + 2) % 300
end

if plotter.closepl() < 0
  STDERR.print "Couldn't close Plotter\n"
  exit 1
end

#if plotter.deletepl() < 0
#  STDERR.print "Couldn't delete Plotter\n"
#  exit 1
#end
