/* ----------------------------------------------------------------------------
 * This file was automatically generated by SWIG (http://www.swig.org).
 * Version 1.3.20
 * 
 * This file is not intended to be easily readable and contains a number of 
 * coding conventions designed to improve portability and efficiency. Do not make
 * changes to this file unless you know what you are doing--modify the SWIG 
 * interface file instead. 
 * ----------------------------------------------------------------------------- */

/* ruby.swg */
/* Implementation : RUBY */
#define SWIGRUBY 1

#include "ruby.h"

/* Flags for pointer conversion */
#define SWIG_POINTER_EXCEPTION     0x1
#define SWIG_POINTER_DISOWN        0x2

#define NUM2USHRT(n) (\
    (0 <= NUM2UINT(n) && NUM2UINT(n) <= USHRT_MAX)\
    ? (unsigned short) NUM2UINT(n) \
    : (rb_raise(rb_eArgError, "integer %d out of range of `unsigned short'",\
               NUM2UINT(n)), (short)0)\
)

#define NUM2SHRT(n) (\
    (SHRT_MIN <= NUM2INT(n) && NUM2INT(n) <= SHRT_MAX)\
    ? (short)NUM2INT(n)\
    : (rb_raise(rb_eArgError, "integer %d out of range of `short'",\
               NUM2INT(n)), (short)0)\
)

/* Ruby 1.7 defines NUM2LL(), LL2NUM() and ULL2NUM() macros */
#ifndef NUM2LL
#define NUM2LL(x) NUM2LONG((x))
#endif
#ifndef LL2NUM
#define LL2NUM(x) INT2NUM((long) (x))
#endif
#ifndef ULL2NUM
#define ULL2NUM(x) UINT2NUM((unsigned long) (x))
#endif

/* Ruby 1.7 doesn't (yet) define NUM2ULL() */
#ifndef NUM2ULL
#ifdef HAVE_LONG_LONG
#define NUM2ULL(x) rb_num2ull((x))
#else
#define NUM2ULL(x) NUM2ULONG(x)
#endif
#endif

/*
 * Need to be very careful about how these macros are defined, especially
 * when compiling C++ code or C code with an ANSI C compiler.
 *
 * VALUEFUNC(f) is a macro used to typecast a C function that implements
 * a Ruby method so that it can be passed as an argument to API functions
 * like rb_define_method() and rb_define_singleton_method().
 *
 * VOIDFUNC(f) is a macro used to typecast a C function that implements
 * either the "mark" or "free" stuff for a Ruby Data object, so that it
 * can be passed as an argument to API functions like Data_Wrap_Struct()
 * and Data_Make_Struct().
 */
 
#ifdef __cplusplus
#  ifndef RUBY_METHOD_FUNC /* These definitions should work for Ruby 1.4.6 */
#    define VALUEFUNC(f) ((VALUE (*)()) f)
#    define VOIDFUNC(f)  ((void (*)()) f)
#  else
#    ifndef ANYARGS /* These definitions should work for Ruby 1.6 */
#      define VALUEFUNC(f) ((VALUE (*)()) f)
#      define VOIDFUNC(f)  ((RUBY_DATA_FUNC) f)
#    else /* These definitions should work for Ruby 1.7 */
#      define VALUEFUNC(f) ((VALUE (*)(ANYARGS)) f)
#      define VOIDFUNC(f)  ((RUBY_DATA_FUNC) f)
#    endif
#  endif
#else
#  define VALUEFUNC(f) (f)
#  define VOIDFUNC(f) (f)
#endif

typedef struct {
  VALUE klass;
  VALUE mImpl;
  void  (*mark)(void *);
  void  (*destroy)(void *);
} swig_class;

/* Don't use for expressions have side effect */
#ifndef RB_STRING_VALUE
#define RB_STRING_VALUE(s) (TYPE(s) == T_STRING ? (s) : (*(volatile VALUE *)&(s) = rb_str_to_str(s)))
#endif
#ifndef StringValue
#define StringValue(s) RB_STRING_VALUE(s)
#endif
#ifndef StringValuePtr
#define StringValuePtr(s) RSTRING(RB_STRING_VALUE(s))->ptr
#endif
#ifndef StringValueLen
#define StringValueLen(s) RSTRING(RB_STRING_VALUE(s))->len
#endif
#ifndef SafeStringValue
#define SafeStringValue(v) do {\
    StringValue(v);\
    rb_check_safe_str(v);\
} while (0)
#endif

#ifndef HAVE_RB_DEFINE_ALLOC_FUNC
#define rb_define_alloc_func(klass, func) rb_define_singleton_method((klass), "new", VALUEFUNC((func)), -1)
#define rb_undef_alloc_func(klass) rb_undef_method(CLASS_OF((klass)), "new")
#endif

/* Contract support */

#define SWIG_contract_assert(expr, msg) if (!(expr)) { rb_raise(rb_eRuntimeError, (char *) msg ); } else


/*************************************************************** -*- c -*-
 * ruby/precommon.swg
 *
 * Rename all exported symbols from common.swg, to avoid symbol
 * clashes if multiple interpreters are included
 *
 ************************************************************************/

#define SWIG_TypeRegister    SWIG_Ruby_TypeRegister
#define SWIG_TypeCheck       SWIG_Ruby_TypeCheck
#define SWIG_TypeCast        SWIG_Ruby_TypeCast
#define SWIG_TypeDynamicCast SWIG_Ruby_TypeDynamicCast
#define SWIG_TypeName        SWIG_Ruby_TypeName
#define SWIG_TypeQuery       SWIG_Ruby_TypeQuery
#define SWIG_TypeClientData  SWIG_Ruby_TypeClientData
#define SWIG_PackData        SWIG_Ruby_PackData 
#define SWIG_UnpackData      SWIG_Ruby_UnpackData 

/* Also rename all exported symbols from rubydef.swig */

/* Common SWIG API */
#define SWIG_ConvertPtr(obj, pp, type, flags) \
  SWIG_Ruby_ConvertPtr(obj, pp, type, flags)
#define SWIG_NewPointerObj(p, type, flags) \
  SWIG_Ruby_NewPointerObj(p, type, flags)
#define SWIG_MustGetPtr(p, type, argnum, flags) \
  SWIG_Ruby_MustGetPtr(p, type, argnum, flags)

/* Ruby-specific SWIG API */

#define SWIG_InitRuntime() \
  SWIG_Ruby_InitRuntime()
#define SWIG_define_class(ty) \
  SWIG_Ruby_define_class(ty)
#define SWIG_NewClassInstance(value, ty) \
  SWIG_Ruby_NewClassInstance(value, ty)
#define SWIG_MangleStr(value) \
  SWIG_Ruby_MangleStr(value)
#define SWIG_CheckConvert(value, ty) \
  SWIG_Ruby_CheckConvert(value, ty)
#define SWIG_NewPackedObj(ptr, sz, ty) \
  SWIG_Ruby_NewPackedObj(ptr, sz, ty)
#define SWIG_ConvertPacked(obj, ptr, sz, ty, flags) \
  SWIG_Ruby_ConvertPacked(obj, ptr, sz, ty, flags)


/***********************************************************************
 * common.swg
 *
 *     This file contains generic SWIG runtime support for pointer
 *     type checking as well as a few commonly used macros to control
 *     external linkage.
 *
 * Author : David Beazley (beazley@cs.uchicago.edu)
 *
 * Copyright (c) 1999-2000, The University of Chicago
 * 
 * This file may be freely redistributed without license or fee provided
 * this copyright message remains intact.
 ************************************************************************/

#include <string.h>

#if defined(_WIN32) || defined(__WIN32__) || defined(__CYGWIN__)
#  if defined(_MSC_VER) || defined(__GNUC__)
#    if defined(STATIC_LINKED)
#      define SWIGEXPORT(a) a
#      define SWIGIMPORT(a) extern a
#    else
#      define SWIGEXPORT(a) __declspec(dllexport) a
#      define SWIGIMPORT(a) extern a
#    endif
#  else
#    if defined(__BORLANDC__)
#      define SWIGEXPORT(a) a _export
#      define SWIGIMPORT(a) a _export
#    else
#      define SWIGEXPORT(a) a
#      define SWIGIMPORT(a) a
#    endif
#  endif
#else
#  define SWIGEXPORT(a) a
#  define SWIGIMPORT(a) a
#endif

#ifdef SWIG_GLOBAL
#  define SWIGRUNTIME(a) SWIGEXPORT(a)
#else
#  define SWIGRUNTIME(a) static a
#endif

#ifdef __cplusplus
extern "C" {
#endif

typedef void *(*swig_converter_func)(void *);
typedef struct swig_type_info *(*swig_dycast_func)(void **);

typedef struct swig_type_info {
  const char             *name;
  swig_converter_func     converter;
  const char             *str;
  void                   *clientdata;
  swig_dycast_func        dcast;
  struct swig_type_info  *next;
  struct swig_type_info  *prev;
} swig_type_info;

#ifdef SWIG_NOINCLUDE

SWIGIMPORT(swig_type_info *) SWIG_TypeRegister(swig_type_info *);
SWIGIMPORT(swig_type_info *) SWIG_TypeCheck(char *c, swig_type_info *);
SWIGIMPORT(void *)           SWIG_TypeCast(swig_type_info *, void *);
SWIGIMPORT(swig_type_info *) SWIG_TypeDynamicCast(swig_type_info *, void **);
SWIGIMPORT(const char *)     SWIG_TypeName(const swig_type_info *);
SWIGIMPORT(swig_type_info *) SWIG_TypeQuery(const char *);
SWIGIMPORT(void)             SWIG_TypeClientData(swig_type_info *, void *);
SWIGIMPORT(char *)           SWIG_PackData(char *, void *, int);
SWIGIMPORT(char *)           SWIG_UnpackData(char *, void *, int);

#else

static swig_type_info *swig_type_list = 0;

/* Register a type mapping with the type-checking */
SWIGRUNTIME(swig_type_info *)
SWIG_TypeRegister(swig_type_info *ti) {
  swig_type_info *tc, *head, *ret, *next;
  /* Check to see if this type has already been registered */
  tc = swig_type_list;
  while (tc) {
    if (strcmp(tc->name, ti->name) == 0) {
      /* Already exists in the table.  Just add additional types to the list */
      if (tc->clientdata) ti->clientdata = tc->clientdata;
      head = tc;
      next = tc->next;
      goto l1;
    }
    tc = tc->prev;
  }
  head = ti;
  next = 0;

  /* Place in list */
  ti->prev = swig_type_list;
  swig_type_list = ti;

  /* Build linked lists */
  l1:
  ret = head;
  tc = ti + 1;
  /* Patch up the rest of the links */
  while (tc->name) {
    head->next = tc;
    tc->prev = head;
    head = tc;
    tc++;
  }
  if (next) next->prev = head;
  head->next = next;
  return ret;
}

/* Check the typename */
SWIGRUNTIME(swig_type_info *) 
SWIG_TypeCheck(char *c, swig_type_info *ty) {
  swig_type_info *s;
  if (!ty) return 0;        /* Void pointer */
  s = ty->next;             /* First element always just a name */
  do {
    if (strcmp(s->name,c) == 0) {
      if (s == ty->next) return s;
      /* Move s to the top of the linked list */
      s->prev->next = s->next;
      if (s->next) {
        s->next->prev = s->prev;
      }
      /* Insert s as second element in the list */
      s->next = ty->next;
      if (ty->next) ty->next->prev = s;
      ty->next = s;
      s->prev = ty;
      return s;
    }
    s = s->next;
  } while (s && (s != ty->next));
  return 0;
}

/* Cast a pointer up an inheritance hierarchy */
SWIGRUNTIME(void *) 
SWIG_TypeCast(swig_type_info *ty, void *ptr) {
  if ((!ty) || (!ty->converter)) return ptr;
  return (*ty->converter)(ptr);
}

/* Dynamic pointer casting. Down an inheritance hierarchy */
SWIGRUNTIME(swig_type_info *) 
SWIG_TypeDynamicCast(swig_type_info *ty, void **ptr) {
  swig_type_info *lastty = ty;
  if (!ty || !ty->dcast) return ty;
  while (ty && (ty->dcast)) {
    ty = (*ty->dcast)(ptr);
    if (ty) lastty = ty;
  }
  return lastty;
}

/* Return the name associated with this type */
SWIGRUNTIME(const char *)
SWIG_TypeName(const swig_type_info *ty) {
  return ty->name;
}

/* Search for a swig_type_info structure */
SWIGRUNTIME(swig_type_info *)
SWIG_TypeQuery(const char *name) {
  swig_type_info *ty = swig_type_list;
  while (ty) {
    if (ty->str && (strcmp(name,ty->str) == 0)) return ty;
    if (ty->name && (strcmp(name,ty->name) == 0)) return ty;
    ty = ty->prev;
  }
  return 0;
}

/* Set the clientdata field for a type */
SWIGRUNTIME(void)
SWIG_TypeClientData(swig_type_info *ti, void *clientdata) {
  swig_type_info *tc, *equiv;
  if (ti->clientdata == clientdata) return;
  ti->clientdata = clientdata;
  equiv = ti->next;
  while (equiv) {
    if (!equiv->converter) {
      tc = swig_type_list;
      while (tc) {
        if ((strcmp(tc->name, equiv->name) == 0))
          SWIG_TypeClientData(tc,clientdata);
        tc = tc->prev;
      }
    }
    equiv = equiv->next;
  }
}

/* Pack binary data into a string */
SWIGRUNTIME(char *)
SWIG_PackData(char *c, void *ptr, int sz) {
  static char hex[17] = "0123456789abcdef";
  int i;
  unsigned char *u = (unsigned char *) ptr;
  register unsigned char uu;
  for (i = 0; i < sz; i++,u++) {
    uu = *u;
    *(c++) = hex[(uu & 0xf0) >> 4];
    *(c++) = hex[uu & 0xf];
  }
  return c;
}

/* Unpack binary data from a string */
SWIGRUNTIME(char *)
SWIG_UnpackData(char *c, void *ptr, int sz) {
  register unsigned char uu = 0;
  register int d;
  unsigned char *u = (unsigned char *) ptr;
  int i;
  for (i = 0; i < sz; i++, u++) {
    d = *(c++);
    if ((d >= '0') && (d <= '9'))
      uu = ((d - '0') << 4);
    else if ((d >= 'a') && (d <= 'f'))
      uu = ((d - ('a'-10)) << 4);
    d = *(c++);
    if ((d >= '0') && (d <= '9'))
      uu |= (d - '0');
    else if ((d >= 'a') && (d <= 'f'))
      uu |= (d - ('a'-10));
    *u = uu;
  }
  return c;
}

#endif

#ifdef __cplusplus
}
#endif

/* rubydef.swg */
#ifdef __cplusplus
extern "C" {
#endif

static VALUE _mSWIG = Qnil;
static VALUE _cSWIG_Pointer = Qnil;

/* Initialize Ruby runtime support */
SWIGRUNTIME(void)
SWIG_Ruby_InitRuntime(void)
{
    if (_mSWIG == Qnil) {
        _mSWIG = rb_define_module("SWIG");
    }
}

/* Define Ruby class for C type */
SWIGRUNTIME(void)
SWIG_Ruby_define_class(swig_type_info *type)
{
    VALUE klass;
    char *klass_name = (char *) malloc(4 + strlen(type->name) + 1);
    sprintf(klass_name, "TYPE%s", type->name);
    if (NIL_P(_cSWIG_Pointer)) {
	_cSWIG_Pointer = rb_define_class_under(_mSWIG, "Pointer", rb_cObject);
	rb_undef_method(CLASS_OF(_cSWIG_Pointer), "new");
    }
    klass = rb_define_class_under(_mSWIG, klass_name, _cSWIG_Pointer);
    free((void *) klass_name);
}

/* Create a new pointer object */
SWIGRUNTIME(VALUE)
SWIG_Ruby_NewPointerObj(void *ptr, swig_type_info *type, int own)
{
    char *klass_name;
    swig_class *sklass;
    VALUE klass;
    VALUE obj;
    
    if (!ptr)
	return Qnil;
    
    if (type->clientdata) {
      sklass = (swig_class *) type->clientdata;
      obj = Data_Wrap_Struct(sklass->klass, VOIDFUNC(sklass->mark), (own ? VOIDFUNC(sklass->destroy) : 0), ptr);
    } else {
      klass_name = (char *) malloc(4 + strlen(type->name) + 1);
      sprintf(klass_name, "TYPE%s", type->name);
      klass = rb_const_get(_mSWIG, rb_intern(klass_name));
      free((void *) klass_name);
      obj = Data_Wrap_Struct(klass, 0, 0, ptr);
    }
    rb_iv_set(obj, "__swigtype__", rb_str_new2(type->name));
    return obj;
}

/* Create a new class instance (always owned) */
SWIGRUNTIME(VALUE)
SWIG_Ruby_NewClassInstance(VALUE klass, swig_type_info *type)
{
    VALUE obj;
    swig_class *sklass = (swig_class *) type->clientdata;
    obj = Data_Wrap_Struct(klass, VOIDFUNC(sklass->mark), VOIDFUNC(sklass->destroy), 0);
    rb_iv_set(obj, "__swigtype__", rb_str_new2(type->name));
    return obj;
}

/* Get type mangle from class name */
SWIGRUNTIME(char *)
SWIG_Ruby_MangleStr(VALUE obj)
{
  VALUE stype = rb_iv_get(obj, "__swigtype__");
  return StringValuePtr(stype);
}

/* Convert a pointer value */
SWIGRUNTIME(int)
SWIG_Ruby_ConvertPtr(VALUE obj, void **ptr, swig_type_info *ty, int flags)
{
  char *c;
  swig_type_info *tc;

  /* Grab the pointer */
  if (NIL_P(obj)) {
    *ptr = 0;
    return 0;
  } else {
    Data_Get_Struct(obj, void, *ptr);
  }
  
  /* Do type-checking if type info was provided */
  if (ty) {
    if (ty->clientdata) {
        if (rb_obj_is_kind_of(obj, ((swig_class *) (ty->clientdata))->klass)) {
          if (*ptr == 0)
            rb_raise(rb_eRuntimeError, "This %s already released", ty->str);
          return 0;
        }
    }
    if ((c = SWIG_MangleStr(obj)) == NULL) {
      if (flags & SWIG_POINTER_EXCEPTION)
        rb_raise(rb_eTypeError, "Expected %s", ty->str);
      else
        return -1;
    }
    tc = SWIG_TypeCheck(c, ty);
    if (!tc) {
      if (flags & SWIG_POINTER_EXCEPTION)
        rb_raise(rb_eTypeError, "Expected %s", ty->str);
      else
        return -1;
    }
    *ptr = SWIG_TypeCast(tc, *ptr);
  }
  return 0;
}

/* Convert a pointer value, signal an exception on a type mismatch */
SWIGRUNTIME(void *)
SWIG_Ruby_MustGetPtr(VALUE obj, swig_type_info *ty, int argnum, int flags)
{
  void *result;
  SWIG_ConvertPtr(obj, &result, ty, flags | SWIG_POINTER_EXCEPTION);
  return result;
}

/* Check convert */
SWIGRUNTIME(int)
SWIG_Ruby_CheckConvert(VALUE obj, swig_type_info *ty)
{
  char *c = SWIG_MangleStr(obj);
  if (!c)
    return 0;
  return SWIG_TypeCheck(c,ty) != 0;
}

SWIGRUNTIME(VALUE)
SWIG_Ruby_NewPackedObj(void *ptr, int sz, swig_type_info *type) {
  char result[1024];
  char *r = result;
  if ((2*sz + 1 + strlen(type->name)) > 1000) return 0;
  *(r++) = '_';
  r = SWIG_PackData(r, ptr, sz);
  strcpy(r, type->name);
  return rb_str_new2(result);
}

/* Convert a packed value value */
SWIGRUNTIME(void)
SWIG_Ruby_ConvertPacked(VALUE obj, void *ptr, int sz, swig_type_info *ty, int flags) {
  swig_type_info *tc;
  char  *c;

  if (TYPE(obj) != T_STRING) goto type_error;
  c = StringValuePtr(obj);
  /* Pointer values must start with leading underscore */
  if (*c != '_') goto type_error;
  c++;
  c = SWIG_UnpackData(c, ptr, sz);
  if (ty) {
    tc = SWIG_TypeCheck(c, ty);
    if (!tc) goto type_error;
  }
  return;

type_error:

  if (flags) {
    if (ty) {
      rb_raise(rb_eTypeError, "Type error. Expected %s", ty->name);
    } else {
      rb_raise(rb_eTypeError, "Expected a pointer");
    }
  }
}

#ifdef __cplusplus
}
#endif



/* -------- TYPES TABLE (BEGIN) -------- */

#define  SWIGTYPE_p_FILE swig_types[0] 
#define  SWIGTYPE_p_PlotterParams swig_types[1] 
#define  SWIGTYPE_p_Plotter swig_types[2] 
static swig_type_info *swig_types[4];

/* -------- TYPES TABLE (END) -------- */

#define SWIG_init    Init_libplot
#define SWIG_name    "Libplot"

static VALUE mLibplot;

#include <plot.h>
#include "rubyio.h"

typedef plPlotter Plotter;
typedef plPlotterParams PlotterParams;

VALUE Plotter_linedash(Plotter *self, VALUE dashes, int offset) {
  int i, n;
  int *pnt;

  n = RARRAY(dashes)->len;
  pnt = ALLOCA_N(int, n);
  for (i = 0; i < n; i++) {
	pnt[i] = NUM2INT(RARRAY(dashes)->ptr[i]);
  }
  return pl_linedash_r(self, n, pnt, offset);
}

VALUE Plotter_flinedash(Plotter *self, VALUE dashes, double offset) {
  int i, n;
  double *pnt;

  n = RARRAY(dashes)->len;
  pnt = ALLOCA_N(double, n);
  for (i = 0; i < n; i++) {
	pnt[i] = NUM2DBL(RARRAY(dashes)->ptr[i]);
  }
  return pl_flinedash_r(self, n, pnt, offset);
}


PlotterParams *new_PlotterParams(){
	  pl_newplparams();
	}
void delete_PlotterParams(PlotterParams *self){
	  pl_deleteplparams(self);
	}
int PlotterParams_setplparam(PlotterParams *self,char const *parameter,char *value){
	  return pl_setplparam(self, parameter, value);
	}

swig_class cPlotterParams;
static void free_PlotterParams(PlotterParams *);
Plotter *new_Plotter(char *type,FILE *READ,FILE *WRITE,FILE *STDERR,PlotterParams *plotter_params){
	  pl_newpl_r(type, READ, WRITE, STDERR, plotter_params);
	}
void delete_Plotter(Plotter *self){
	  pl_deletepl_r(self);
	}
int Plotter_deletepl(Plotter *self){
	  return pl_deletepl_r(self);
	}
int Plotter_arc(Plotter *self,int xc,int yc,int x0,int y0,int x1,int y1){
	  return pl_arc_r(self, xc, yc, x0, y0, x1, y1);
	}
int Plotter_box(Plotter *self,int x0,int y0,int x1,int y1){
	  return pl_box_r(self, x0, y0, x1, y1);
	}
int Plotter_circle(Plotter *self,int x,int y,int r){
	  return pl_circle_r(self, x, y, r);
	}
int Plotter_closepl(Plotter *self){
	  return pl_closepl_r(self);
	}
int Plotter_cont(Plotter *self,int x,int y){
	  return pl_cont_r(self, x, y);
	}
int Plotter_erase(Plotter *self){
	  return pl_erase_r(self);
	}
int Plotter_label(Plotter *self,char *s){
	  return pl_label_r(self, s);
	}
int Plotter_line(Plotter *self,int x0,int y0,int x1,int y1){
	  return pl_line_r(self, x0, y0, x1, y1);
	}
int Plotter_linemod(Plotter *self,char *s){
	  return pl_linemod_r(self, s);
	}
int Plotter_move(Plotter *self,int x,int y){
	  return pl_move_r(self, x, y);
	}
int Plotter_openpl(Plotter *self){
	  return pl_openpl_r(self);
	}
int Plotter_point(Plotter *self,int x,int y){
	  return pl_point_r(self, x, y);
	}
int Plotter_space(Plotter *self,int x0,int y0,int x1,int y1){
	  return pl_space_r(self, x0, y0, x1, y1);
	}
int Plotter_alabel(Plotter *self,char *x_justify,char *y_justify,char *s){
	  return pl_alabel_r(self, x_justify[0], y_justify[0], s);
	}
int Plotter_arcrel(Plotter *self,int dxc,int dyc,int dx0,int dy0,int dx1,int dy1){
	  return pl_arcrel_r(self, dxc, dyc, dx0, dy0, dx1, dy1);
	}
int Plotter_bezier2(Plotter *self,int x0,int y0,int x1,int y1,int x2,int y2){
	  return pl_bezier2_r(self, x0, y0, x1, y1, x2, y2);
	}
int Plotter_bezier2rel(Plotter *self,int dx0,int dy0,int dx1,int dy1,int dx2,int dy2){
	  return pl_bezier2rel_r(self, dx0, dy0, dx1, dy1, dx2, dy2);
	}
int Plotter_bezier3(Plotter *self,int x0,int y0,int x1,int y1,int x2,int y2,int x3,int y3){
	  return pl_bezier3_r(self, x0, y0, x1, y1, x2, y2, x3, y3);
	}
int Plotter_bezier3rel(Plotter *self,int dx0,int dy0,int dx1,int dy1,int dx2,int dy2,int dx3,int dy3){
	  return pl_bezier3rel_r(self, dx0, dy0, dx1, dy1, dx2, dy2, dx3, dy3);
	}
int Plotter_bgcolor(Plotter *self,int red,int green,int blue){
	  return pl_bgcolor_r(self, red, green, blue);
	}
int Plotter_bgcolorname(Plotter *self,char *name){
	  return pl_bgcolorname_r(self, name);
	}
int Plotter_boxrel(Plotter *self,int dx0,int dy0,int dx1,int dy1){
	  return pl_boxrel_r(self, dx0, dy0, dx1, dy1);
	}
int Plotter_capmod(Plotter *self,char *s){
	  return pl_capmod_r(self, s);
	}
int Plotter_circlerel(Plotter *self,int dx,int dy,int r){
	  return pl_circlerel_r(self, dx, dy, r);
	}
int Plotter_closepath(Plotter *self){
	  return pl_closepath_r(self);
	}
int Plotter_color(Plotter *self,int red,int green,int blue){
	  return pl_color_r(self, red, green, blue);
	}
int Plotter_colorname(Plotter *self,char *name){
	  return pl_colorname_r(self, name);
	}
int Plotter_contrel(Plotter *self,int x,int y){
	  return pl_contrel_r(self, x, y);
	}
int Plotter_ellarc(Plotter *self,int xc,int yc,int x0,int y0,int x1,int y1){
	  return pl_ellarc_r(self, xc, yc, x0, y0, x1, y1);
	}
int Plotter_ellarcrel(Plotter *self,int dxc,int dyc,int dx0,int dy0,int dx1,int dy1){
	  return pl_ellarcrel_r(self, dxc, dyc, dx0, dy0, dx1, dy1);
	}
int Plotter_ellipse(Plotter *self,int x,int y,int rx,int ry,int angle){
	  return pl_ellipse_r(self, x, y, rx, ry, angle);
	}
int Plotter_ellipserel(Plotter *self,int dx,int dy,int rx,int ry,int angle){
	  return pl_ellipserel_r(self, dx, dy, rx, ry, angle);
	}
int Plotter_endpath(Plotter *self){
	  return pl_endpath_r(self);
	}
int Plotter_endsubpath(Plotter *self){
	  return pl_endsubpath_r(self);
	}
int Plotter_fillcolor(Plotter *self,int red,int green,int blue){
	  return pl_fillcolor_r(self, red, green, blue);
	}
int Plotter_fillcolorname(Plotter *self,char *name){
	  return pl_fillcolorname_r(self, name);
	}
int Plotter_fillmod(Plotter *self,char *s){
	  return pl_fillmod_r(self, s);
	}
int Plotter_filltype(Plotter *self,int level){
	  return pl_filltype_r(self, level);
	}
int Plotter_flushpl(Plotter *self){
	  return pl_flushpl_r(self);
	}
int Plotter_fontname(Plotter *self,char *s){
	  return pl_fontname_r(self, s);
	}
int Plotter_fontsize(Plotter *self,int size){
	  return pl_fontsize_r(self, size);
	}
int Plotter_havecap(Plotter *self,char *s){
	  return pl_havecap_r(self, s);
	}
int Plotter_joinmod(Plotter *self,char *s){
	  return pl_joinmod_r(self, s);
	}
int Plotter_labelwidth(Plotter *self,char *s){
	  return pl_labelwidth_r(self, s);
	}
int Plotter_linerel(Plotter *self,int dx0,int dy0,int dx1,int dy1){
	  return pl_linerel_r(self, dx0, dy0, dx1, dy1);
	}
int Plotter_linewidth(Plotter *self,int size){
	  return pl_linewidth_r(self, size);
	}
int Plotter_marker(Plotter *self,int x,int y,int type,int size){
	  return pl_marker_r(self, x, y, type, size);
	}
int Plotter_markerrel(Plotter *self,int dx,int dy,int type,int size){
	  return pl_markerrel_r(self, dx, dy, type, size);
	}
int Plotter_moverel(Plotter *self,int x,int y){
	  return pl_moverel_r(self, x, y);
	}
int Plotter_orientation(Plotter *self,int direction){
	  return pl_orientation_r(self, direction);
	}
int Plotter_pencolor(Plotter *self,int red,int green,int blue){
	  return pl_pencolor_r(self, red, green, blue);
	}
int Plotter_pencolorname(Plotter *self,char *name){
	  return pl_pencolorname_r(self, name);
	}
int Plotter_pentype(Plotter *self,int level){
	  return pl_pentype_r(self, level);
	}
int Plotter_pointrel(Plotter *self,int dx,int dy){
	  return pl_pointrel_r(self, dx, dy);
	}
int Plotter_restorestate(Plotter *self){
	  return pl_restorestate_r(self);
	}
int Plotter_savestate(Plotter *self){
	  return pl_savestate_r(self);
	}
int Plotter_space2(Plotter *self,int x0,int y0,int x1,int y1,int x2,int y2){
	  return pl_space2_r(self, x0, y0, x1, y1, x2, y2);
	}
int Plotter_textangle(Plotter *self,int angle){
	  return pl_textangle_r(self, angle);
	}
double Plotter_ffontname(Plotter *self,char *s){
	  return pl_ffontname_r(self, s);
	}
double Plotter_ffontsize(Plotter *self,double size){
	  return pl_ffontsize_r(self, size);
	}
double Plotter_flabelwidth(Plotter *self,char *s){
	  return pl_flabelwidth_r(self, s);
	}
double Plotter_ftextangle(Plotter *self,double angle){
	  return pl_ftextangle_r(self, angle);
	}
int Plotter_farc(Plotter *self,double xc,double yc,double x0,double y0,double x1,double y1){
	  pl_farc_r(self, xc, yc, x0, y0, x1, y1);
	}
int Plotter_farcrel(Plotter *self,double dxc,double dyc,double dx0,double dy0,double dx1,double dy1){
	  return pl_farcrel_r(self, dxc, dyc, dx0, dy0, dx1, dy1);
	}
int Plotter_fbezier2(Plotter *self,double x0,double y0,double x1,double y1,double x2,double y2){
	  return pl_fbezier2_r(self, x0, y0, x1, y1, x2, y2);
	}
int Plotter_fbezier2rel(Plotter *self,double dx0,double dy0,double dx1,double dy1,double dx2,double dy2){
	  return pl_fbezier2rel_r(self, dx0, dy0, dx1, dy1, dx2, dy2);
	}
int Plotter_fbezier3(Plotter *self,double x0,double y0,double x1,double y1,double x2,double y2,double x3,double y3){
	  return pl_fbezier3_r(self, x0, y0, x1, y1, x2, y2, x3, y3);
	}
int Plotter_fbezier3rel(Plotter *self,double dx0,double dy0,double dx1,double dy1,double dx2,double dy2,double dx3,double dy3){
	  return pl_fbezier3rel_r(self, dx0, dy0, dx1, dy1, dx2, dy2, dx3, dy3);
	}
int Plotter_fbox(Plotter *self,double x0,double y0,double x1,double y1){
	  return pl_fbox_r(self, x0, y0, x1, y1);
	}
int Plotter_fboxrel(Plotter *self,double dx0,double dy0,double dx1,double dy1){
	  return pl_fboxrel_r(self, dx0, dy0, dx1, dy1);
	}
int Plotter_fcircle(Plotter *self,double x,double y,double r){
	  return pl_fcircle_r(self, x, y, r);
	}
int Plotter_fcirclerel(Plotter *self,double dx,double dy,double r){
	  return pl_fcirclerel_r(self, dx, dy, r);
	}
int Plotter_fcont(Plotter *self,double x,double y){
	  return pl_fcont_r(self, x, y);
	}
int Plotter_fcontrel(Plotter *self,double dx,double dy){
	  return pl_fcontrel_r(self, dx, dy);
	}
int Plotter_fellarc(Plotter *self,double xc,double yc,double x0,double y0,double x1,double y1){
	  return pl_fellarc_r(self, xc, yc, x0, y0, x1, y1);
	}
int Plotter_fellarcrel(Plotter *self,double dxc,double dyc,double dx0,double dy0,double dx1,double dy1){
	  return pl_fellarcrel_r(self, dxc, dyc, dx0, dy0, dx1, dy1);
	}
int Plotter_fellipse(Plotter *self,double x,double y,double rx,double ry,double angle){
	  return pl_fellipse_r(self, x, y, rx, ry, angle);
	}
int Plotter_fellipserel(Plotter *self,double dx,double dy,double rx,double ry,double angle){
	  return pl_fellipserel_r(self, dx, dy, rx, ry, angle);
	}
int Plotter_fline(Plotter *self,double x0,double y0,double x1,double y1){
	  return pl_fline_r(self, x0, y0, x1, y1);
	}
int Plotter_flinerel(Plotter *self,double dx0,double dy0,double dx1,double dy1){
	  return pl_flinerel_r(self, dx0, dy0, dx1, dy1);
	}
int Plotter_flinewidth(Plotter *self,double size){
	  return pl_flinewidth_r(self, size);
	}
int Plotter_fmarker(Plotter *self,double x,double y,int type,double size){
	  return pl_fmarker_r(self, x, y, type, size);
	}
int Plotter_fmarkerrel(Plotter *self,double dx,double dy,int type,double size){
	  return pl_fmarkerrel_r(self, dx, dy, type, size);
	}
int Plotter_fmove(Plotter *self,double x,double y){
	  return pl_fmove_r(self, x, y);
	}
int Plotter_fmoverel(Plotter *self,double dx,double dy){
	  return pl_fmoverel_r(self, dx, dy);
	}
int Plotter_fpoint(Plotter *self,double x,double y){
	  return pl_fpoint_r(self, x, y);
	}
int Plotter_fpointrel(Plotter *self,double dx,double dy){
	  return pl_fpointrel_r(self, dx, dy);
	}
int Plotter_fspace(Plotter *self,double x0,double y0,double x1,double y1){
	  return pl_fspace_r(self, x0, y0, x1, y1);
	}
int Plotter_fspace2(Plotter *self,double x0,double y0,double x1,double y1,double x2,double y2){
	  return pl_fspace2_r(self, x0, y0, x1, y1, x2, y2);
	}
int Plotter_fconcat(Plotter *self,double m0,double m1,double m2,double m3,double m4,double m5){
	  return pl_fconcat_r(self, m0, m1, m2, m3, m4, m5);
	}
int Plotter_fmiterlimit(Plotter *self,double limit){
	  return pl_fmiterlimit_r(self, limit);
	}
int Plotter_frotate(Plotter *self,double theta){
	  return pl_frotate_r(self, theta);
	}
int Plotter_fscale(Plotter *self,double x,double y){
	  return pl_fscale_r(self, x, y);
	}
int Plotter_fsetmatrix(Plotter *self,double m0,double m1,double m2,double m3,double m4,double m5){
	  return pl_fsetmatrix_r(self, m0, m1, m2, m3, m4, m5);
	}
int Plotter_ftranslate(Plotter *self,double x,double y){
	  return pl_ftranslate_r(self, x, y);
	}

swig_class cPlotter;
static void free_Plotter(Plotter *);
#ifdef HAVE_RB_DEFINE_ALLOC_FUNC
static VALUE
_wrap_PlotterParams_allocate(VALUE self) {
#else
    static VALUE
    _wrap_PlotterParams_allocate(int argc, VALUE *argv, VALUE self) {
#endif
        
        
        VALUE vresult = SWIG_NewClassInstance(self, SWIGTYPE_p_PlotterParams);
#ifndef HAVE_RB_DEFINE_ALLOC_FUNC
        rb_obj_call_init(vresult, argc, argv);
#endif
        return vresult;
    }
    

static VALUE
_wrap_new_PlotterParams(int argc, VALUE *argv, VALUE self) {
    PlotterParams *result;
    
    if ((argc < 0) || (argc > 0))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 0)",argc);
    result = (PlotterParams *)new_PlotterParams();
    DATA_PTR(self) = result;
    return self;
}


static void
free_PlotterParams(PlotterParams *arg1) {
    delete_PlotterParams(arg1);
;
}
static VALUE
_wrap_PlotterParams_setplparam(int argc, VALUE *argv, VALUE self) {
    PlotterParams *arg1 = (PlotterParams *) 0 ;
    char *arg2 ;
    char *arg3 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 2) || (argc > 2))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 2)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_PlotterParams, 1);
    arg2 = StringValuePtr(argv[0]);
    arg3 = StringValuePtr(argv[1]);
    result = (int)PlotterParams_setplparam(arg1,(char const *)arg2,arg3);
    
    vresult = INT2NUM(result);
    return vresult;
}


#ifdef HAVE_RB_DEFINE_ALLOC_FUNC
static VALUE
_wrap_Plotter_allocate(VALUE self) {
#else
    static VALUE
    _wrap_Plotter_allocate(int argc, VALUE *argv, VALUE self) {
#endif
        
        
        VALUE vresult = SWIG_NewClassInstance(self, SWIGTYPE_p_Plotter);
#ifndef HAVE_RB_DEFINE_ALLOC_FUNC
        rb_obj_call_init(vresult, argc, argv);
#endif
        return vresult;
    }
    

static VALUE
_wrap_new_Plotter(int argc, VALUE *argv, VALUE self) {
    char *arg1 ;
    FILE *arg2 = (FILE *) 0 ;
    FILE *arg3 = (FILE *) 0 ;
    FILE *arg4 = (FILE *) 0 ;
    PlotterParams *arg5 = (PlotterParams *) 0 ;
    Plotter *result;
    
    if ((argc < 5) || (argc > 5))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 5)",argc);
    arg1 = StringValuePtr(argv[0]);
    {
        OpenFile *of;
        Check_Type(argv[1], T_FILE);
        GetOpenFile(argv[1], of);
        rb_io_check_readable(of);
        arg2 = GetReadFile(of);
        rb_read_check(arg2);
    }
    {
        OpenFile *of;
        Check_Type(argv[2], T_FILE);
        GetOpenFile(argv[2], of);
        rb_io_check_writable(of);
        arg3 = GetWriteFile(of);
    }
    {
        OpenFile *of;
        Check_Type(argv[3], T_FILE);
        GetOpenFile(argv[3], of);
        rb_io_check_writable(of);
        arg4 = GetWriteFile(of);
    }
    SWIG_ConvertPtr(argv[4], (void **) &arg5, SWIGTYPE_p_PlotterParams, 1);
    result = (Plotter *)new_Plotter(arg1,arg2,arg3,arg4,arg5);
    DATA_PTR(self) = result;
    return self;
}


static void
free_Plotter(Plotter *arg1) {
    delete_Plotter(arg1);
;
}
static VALUE
_wrap_Plotter_deletepl(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 0) || (argc > 0))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 0)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    result = (int)Plotter_deletepl(arg1);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_arc(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int arg3 ;
    int arg4 ;
    int arg5 ;
    int arg6 ;
    int arg7 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 6) || (argc > 6))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 6)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    arg3 = NUM2INT(argv[1]);
    arg4 = NUM2INT(argv[2]);
    arg5 = NUM2INT(argv[3]);
    arg6 = NUM2INT(argv[4]);
    arg7 = NUM2INT(argv[5]);
    result = (int)Plotter_arc(arg1,arg2,arg3,arg4,arg5,arg6,arg7);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_box(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int arg3 ;
    int arg4 ;
    int arg5 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 4) || (argc > 4))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 4)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    arg3 = NUM2INT(argv[1]);
    arg4 = NUM2INT(argv[2]);
    arg5 = NUM2INT(argv[3]);
    result = (int)Plotter_box(arg1,arg2,arg3,arg4,arg5);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_circle(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int arg3 ;
    int arg4 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 3) || (argc > 3))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 3)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    arg3 = NUM2INT(argv[1]);
    arg4 = NUM2INT(argv[2]);
    result = (int)Plotter_circle(arg1,arg2,arg3,arg4);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_closepl(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 0) || (argc > 0))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 0)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    result = (int)Plotter_closepl(arg1);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_cont(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int arg3 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 2) || (argc > 2))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 2)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    arg3 = NUM2INT(argv[1]);
    result = (int)Plotter_cont(arg1,arg2,arg3);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_erase(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 0) || (argc > 0))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 0)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    result = (int)Plotter_erase(arg1);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_label(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    char *arg2 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 1) || (argc > 1))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 1)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = StringValuePtr(argv[0]);
    result = (int)Plotter_label(arg1,arg2);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_line(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int arg3 ;
    int arg4 ;
    int arg5 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 4) || (argc > 4))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 4)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    arg3 = NUM2INT(argv[1]);
    arg4 = NUM2INT(argv[2]);
    arg5 = NUM2INT(argv[3]);
    result = (int)Plotter_line(arg1,arg2,arg3,arg4,arg5);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_linemod(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    char *arg2 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 1) || (argc > 1))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 1)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = StringValuePtr(argv[0]);
    result = (int)Plotter_linemod(arg1,arg2);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_move(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int arg3 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 2) || (argc > 2))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 2)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    arg3 = NUM2INT(argv[1]);
    result = (int)Plotter_move(arg1,arg2,arg3);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_openpl(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 0) || (argc > 0))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 0)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    result = (int)Plotter_openpl(arg1);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_point(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int arg3 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 2) || (argc > 2))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 2)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    arg3 = NUM2INT(argv[1]);
    result = (int)Plotter_point(arg1,arg2,arg3);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_space(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int arg3 ;
    int arg4 ;
    int arg5 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 4) || (argc > 4))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 4)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    arg3 = NUM2INT(argv[1]);
    arg4 = NUM2INT(argv[2]);
    arg5 = NUM2INT(argv[3]);
    result = (int)Plotter_space(arg1,arg2,arg3,arg4,arg5);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_alabel(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    char *arg2 ;
    char *arg3 ;
    char *arg4 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 3) || (argc > 3))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 3)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = StringValuePtr(argv[0]);
    arg3 = StringValuePtr(argv[1]);
    arg4 = StringValuePtr(argv[2]);
    result = (int)Plotter_alabel(arg1,arg2,arg3,arg4);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_arcrel(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int arg3 ;
    int arg4 ;
    int arg5 ;
    int arg6 ;
    int arg7 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 6) || (argc > 6))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 6)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    arg3 = NUM2INT(argv[1]);
    arg4 = NUM2INT(argv[2]);
    arg5 = NUM2INT(argv[3]);
    arg6 = NUM2INT(argv[4]);
    arg7 = NUM2INT(argv[5]);
    result = (int)Plotter_arcrel(arg1,arg2,arg3,arg4,arg5,arg6,arg7);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_bezier2(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int arg3 ;
    int arg4 ;
    int arg5 ;
    int arg6 ;
    int arg7 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 6) || (argc > 6))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 6)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    arg3 = NUM2INT(argv[1]);
    arg4 = NUM2INT(argv[2]);
    arg5 = NUM2INT(argv[3]);
    arg6 = NUM2INT(argv[4]);
    arg7 = NUM2INT(argv[5]);
    result = (int)Plotter_bezier2(arg1,arg2,arg3,arg4,arg5,arg6,arg7);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_bezier2rel(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int arg3 ;
    int arg4 ;
    int arg5 ;
    int arg6 ;
    int arg7 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 6) || (argc > 6))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 6)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    arg3 = NUM2INT(argv[1]);
    arg4 = NUM2INT(argv[2]);
    arg5 = NUM2INT(argv[3]);
    arg6 = NUM2INT(argv[4]);
    arg7 = NUM2INT(argv[5]);
    result = (int)Plotter_bezier2rel(arg1,arg2,arg3,arg4,arg5,arg6,arg7);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_bezier3(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int arg3 ;
    int arg4 ;
    int arg5 ;
    int arg6 ;
    int arg7 ;
    int arg8 ;
    int arg9 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 8) || (argc > 8))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 8)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    arg3 = NUM2INT(argv[1]);
    arg4 = NUM2INT(argv[2]);
    arg5 = NUM2INT(argv[3]);
    arg6 = NUM2INT(argv[4]);
    arg7 = NUM2INT(argv[5]);
    arg8 = NUM2INT(argv[6]);
    arg9 = NUM2INT(argv[7]);
    result = (int)Plotter_bezier3(arg1,arg2,arg3,arg4,arg5,arg6,arg7,arg8,arg9);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_bezier3rel(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int arg3 ;
    int arg4 ;
    int arg5 ;
    int arg6 ;
    int arg7 ;
    int arg8 ;
    int arg9 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 8) || (argc > 8))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 8)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    arg3 = NUM2INT(argv[1]);
    arg4 = NUM2INT(argv[2]);
    arg5 = NUM2INT(argv[3]);
    arg6 = NUM2INT(argv[4]);
    arg7 = NUM2INT(argv[5]);
    arg8 = NUM2INT(argv[6]);
    arg9 = NUM2INT(argv[7]);
    result = (int)Plotter_bezier3rel(arg1,arg2,arg3,arg4,arg5,arg6,arg7,arg8,arg9);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_bgcolor(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int arg3 ;
    int arg4 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 3) || (argc > 3))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 3)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    arg3 = NUM2INT(argv[1]);
    arg4 = NUM2INT(argv[2]);
    result = (int)Plotter_bgcolor(arg1,arg2,arg3,arg4);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_bgcolorname(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    char *arg2 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 1) || (argc > 1))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 1)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = StringValuePtr(argv[0]);
    result = (int)Plotter_bgcolorname(arg1,arg2);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_boxrel(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int arg3 ;
    int arg4 ;
    int arg5 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 4) || (argc > 4))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 4)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    arg3 = NUM2INT(argv[1]);
    arg4 = NUM2INT(argv[2]);
    arg5 = NUM2INT(argv[3]);
    result = (int)Plotter_boxrel(arg1,arg2,arg3,arg4,arg5);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_capmod(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    char *arg2 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 1) || (argc > 1))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 1)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = StringValuePtr(argv[0]);
    result = (int)Plotter_capmod(arg1,arg2);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_circlerel(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int arg3 ;
    int arg4 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 3) || (argc > 3))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 3)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    arg3 = NUM2INT(argv[1]);
    arg4 = NUM2INT(argv[2]);
    result = (int)Plotter_circlerel(arg1,arg2,arg3,arg4);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_closepath(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 0) || (argc > 0))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 0)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    result = (int)Plotter_closepath(arg1);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_color(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int arg3 ;
    int arg4 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 3) || (argc > 3))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 3)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    arg3 = NUM2INT(argv[1]);
    arg4 = NUM2INT(argv[2]);
    result = (int)Plotter_color(arg1,arg2,arg3,arg4);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_colorname(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    char *arg2 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 1) || (argc > 1))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 1)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = StringValuePtr(argv[0]);
    result = (int)Plotter_colorname(arg1,arg2);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_contrel(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int arg3 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 2) || (argc > 2))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 2)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    arg3 = NUM2INT(argv[1]);
    result = (int)Plotter_contrel(arg1,arg2,arg3);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_ellarc(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int arg3 ;
    int arg4 ;
    int arg5 ;
    int arg6 ;
    int arg7 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 6) || (argc > 6))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 6)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    arg3 = NUM2INT(argv[1]);
    arg4 = NUM2INT(argv[2]);
    arg5 = NUM2INT(argv[3]);
    arg6 = NUM2INT(argv[4]);
    arg7 = NUM2INT(argv[5]);
    result = (int)Plotter_ellarc(arg1,arg2,arg3,arg4,arg5,arg6,arg7);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_ellarcrel(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int arg3 ;
    int arg4 ;
    int arg5 ;
    int arg6 ;
    int arg7 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 6) || (argc > 6))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 6)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    arg3 = NUM2INT(argv[1]);
    arg4 = NUM2INT(argv[2]);
    arg5 = NUM2INT(argv[3]);
    arg6 = NUM2INT(argv[4]);
    arg7 = NUM2INT(argv[5]);
    result = (int)Plotter_ellarcrel(arg1,arg2,arg3,arg4,arg5,arg6,arg7);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_ellipse(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int arg3 ;
    int arg4 ;
    int arg5 ;
    int arg6 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 5) || (argc > 5))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 5)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    arg3 = NUM2INT(argv[1]);
    arg4 = NUM2INT(argv[2]);
    arg5 = NUM2INT(argv[3]);
    arg6 = NUM2INT(argv[4]);
    result = (int)Plotter_ellipse(arg1,arg2,arg3,arg4,arg5,arg6);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_ellipserel(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int arg3 ;
    int arg4 ;
    int arg5 ;
    int arg6 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 5) || (argc > 5))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 5)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    arg3 = NUM2INT(argv[1]);
    arg4 = NUM2INT(argv[2]);
    arg5 = NUM2INT(argv[3]);
    arg6 = NUM2INT(argv[4]);
    result = (int)Plotter_ellipserel(arg1,arg2,arg3,arg4,arg5,arg6);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_endpath(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 0) || (argc > 0))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 0)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    result = (int)Plotter_endpath(arg1);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_endsubpath(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 0) || (argc > 0))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 0)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    result = (int)Plotter_endsubpath(arg1);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_fillcolor(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int arg3 ;
    int arg4 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 3) || (argc > 3))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 3)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    arg3 = NUM2INT(argv[1]);
    arg4 = NUM2INT(argv[2]);
    result = (int)Plotter_fillcolor(arg1,arg2,arg3,arg4);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_fillcolorname(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    char *arg2 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 1) || (argc > 1))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 1)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = StringValuePtr(argv[0]);
    result = (int)Plotter_fillcolorname(arg1,arg2);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_fillmod(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    char *arg2 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 1) || (argc > 1))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 1)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = StringValuePtr(argv[0]);
    result = (int)Plotter_fillmod(arg1,arg2);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_filltype(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 1) || (argc > 1))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 1)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    result = (int)Plotter_filltype(arg1,arg2);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_flushpl(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 0) || (argc > 0))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 0)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    result = (int)Plotter_flushpl(arg1);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_fontname(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    char *arg2 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 1) || (argc > 1))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 1)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = StringValuePtr(argv[0]);
    result = (int)Plotter_fontname(arg1,arg2);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_fontsize(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 1) || (argc > 1))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 1)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    result = (int)Plotter_fontsize(arg1,arg2);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_havecap(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    char *arg2 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 1) || (argc > 1))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 1)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = StringValuePtr(argv[0]);
    result = (int)Plotter_havecap(arg1,arg2);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_joinmod(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    char *arg2 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 1) || (argc > 1))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 1)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = StringValuePtr(argv[0]);
    result = (int)Plotter_joinmod(arg1,arg2);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_labelwidth(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    char *arg2 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 1) || (argc > 1))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 1)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = StringValuePtr(argv[0]);
    result = (int)Plotter_labelwidth(arg1,arg2);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_linedash(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    VALUE arg2 ;
    int arg3 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 2) || (argc > 2))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 2)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = argv[0];
    arg3 = NUM2INT(argv[1]);
    result = (int)Plotter_linedash(arg1,arg2,arg3);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_linerel(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int arg3 ;
    int arg4 ;
    int arg5 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 4) || (argc > 4))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 4)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    arg3 = NUM2INT(argv[1]);
    arg4 = NUM2INT(argv[2]);
    arg5 = NUM2INT(argv[3]);
    result = (int)Plotter_linerel(arg1,arg2,arg3,arg4,arg5);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_linewidth(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 1) || (argc > 1))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 1)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    result = (int)Plotter_linewidth(arg1,arg2);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_marker(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int arg3 ;
    int arg4 ;
    int arg5 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 4) || (argc > 4))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 4)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    arg3 = NUM2INT(argv[1]);
    arg4 = NUM2INT(argv[2]);
    arg5 = NUM2INT(argv[3]);
    result = (int)Plotter_marker(arg1,arg2,arg3,arg4,arg5);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_markerrel(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int arg3 ;
    int arg4 ;
    int arg5 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 4) || (argc > 4))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 4)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    arg3 = NUM2INT(argv[1]);
    arg4 = NUM2INT(argv[2]);
    arg5 = NUM2INT(argv[3]);
    result = (int)Plotter_markerrel(arg1,arg2,arg3,arg4,arg5);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_moverel(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int arg3 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 2) || (argc > 2))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 2)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    arg3 = NUM2INT(argv[1]);
    result = (int)Plotter_moverel(arg1,arg2,arg3);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_orientation(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 1) || (argc > 1))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 1)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    result = (int)Plotter_orientation(arg1,arg2);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_pencolor(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int arg3 ;
    int arg4 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 3) || (argc > 3))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 3)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    arg3 = NUM2INT(argv[1]);
    arg4 = NUM2INT(argv[2]);
    result = (int)Plotter_pencolor(arg1,arg2,arg3,arg4);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_pencolorname(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    char *arg2 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 1) || (argc > 1))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 1)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = StringValuePtr(argv[0]);
    result = (int)Plotter_pencolorname(arg1,arg2);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_pentype(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 1) || (argc > 1))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 1)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    result = (int)Plotter_pentype(arg1,arg2);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_pointrel(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int arg3 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 2) || (argc > 2))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 2)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    arg3 = NUM2INT(argv[1]);
    result = (int)Plotter_pointrel(arg1,arg2,arg3);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_restorestate(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 0) || (argc > 0))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 0)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    result = (int)Plotter_restorestate(arg1);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_savestate(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 0) || (argc > 0))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 0)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    result = (int)Plotter_savestate(arg1);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_space2(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int arg3 ;
    int arg4 ;
    int arg5 ;
    int arg6 ;
    int arg7 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 6) || (argc > 6))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 6)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    arg3 = NUM2INT(argv[1]);
    arg4 = NUM2INT(argv[2]);
    arg5 = NUM2INT(argv[3]);
    arg6 = NUM2INT(argv[4]);
    arg7 = NUM2INT(argv[5]);
    result = (int)Plotter_space2(arg1,arg2,arg3,arg4,arg5,arg6,arg7);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_textangle(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    int arg2 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 1) || (argc > 1))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 1)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = NUM2INT(argv[0]);
    result = (int)Plotter_textangle(arg1,arg2);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_ffontname(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    char *arg2 ;
    double result;
    VALUE vresult = Qnil;
    
    if ((argc < 1) || (argc > 1))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 1)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = StringValuePtr(argv[0]);
    result = (double)Plotter_ffontname(arg1,arg2);
    
    vresult = rb_float_new(result);
    return vresult;
}


static VALUE
_wrap_Plotter_ffontsize(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    double arg2 ;
    double result;
    VALUE vresult = Qnil;
    
    if ((argc < 1) || (argc > 1))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 1)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = (double) NUM2DBL(argv[0]);
    result = (double)Plotter_ffontsize(arg1,arg2);
    
    vresult = rb_float_new(result);
    return vresult;
}


static VALUE
_wrap_Plotter_flabelwidth(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    char *arg2 ;
    double result;
    VALUE vresult = Qnil;
    
    if ((argc < 1) || (argc > 1))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 1)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = StringValuePtr(argv[0]);
    result = (double)Plotter_flabelwidth(arg1,arg2);
    
    vresult = rb_float_new(result);
    return vresult;
}


static VALUE
_wrap_Plotter_ftextangle(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    double arg2 ;
    double result;
    VALUE vresult = Qnil;
    
    if ((argc < 1) || (argc > 1))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 1)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = (double) NUM2DBL(argv[0]);
    result = (double)Plotter_ftextangle(arg1,arg2);
    
    vresult = rb_float_new(result);
    return vresult;
}


static VALUE
_wrap_Plotter_farc(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    double arg2 ;
    double arg3 ;
    double arg4 ;
    double arg5 ;
    double arg6 ;
    double arg7 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 6) || (argc > 6))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 6)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = (double) NUM2DBL(argv[0]);
    arg3 = (double) NUM2DBL(argv[1]);
    arg4 = (double) NUM2DBL(argv[2]);
    arg5 = (double) NUM2DBL(argv[3]);
    arg6 = (double) NUM2DBL(argv[4]);
    arg7 = (double) NUM2DBL(argv[5]);
    result = (int)Plotter_farc(arg1,arg2,arg3,arg4,arg5,arg6,arg7);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_farcrel(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    double arg2 ;
    double arg3 ;
    double arg4 ;
    double arg5 ;
    double arg6 ;
    double arg7 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 6) || (argc > 6))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 6)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = (double) NUM2DBL(argv[0]);
    arg3 = (double) NUM2DBL(argv[1]);
    arg4 = (double) NUM2DBL(argv[2]);
    arg5 = (double) NUM2DBL(argv[3]);
    arg6 = (double) NUM2DBL(argv[4]);
    arg7 = (double) NUM2DBL(argv[5]);
    result = (int)Plotter_farcrel(arg1,arg2,arg3,arg4,arg5,arg6,arg7);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_fbezier2(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    double arg2 ;
    double arg3 ;
    double arg4 ;
    double arg5 ;
    double arg6 ;
    double arg7 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 6) || (argc > 6))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 6)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = (double) NUM2DBL(argv[0]);
    arg3 = (double) NUM2DBL(argv[1]);
    arg4 = (double) NUM2DBL(argv[2]);
    arg5 = (double) NUM2DBL(argv[3]);
    arg6 = (double) NUM2DBL(argv[4]);
    arg7 = (double) NUM2DBL(argv[5]);
    result = (int)Plotter_fbezier2(arg1,arg2,arg3,arg4,arg5,arg6,arg7);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_fbezier2rel(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    double arg2 ;
    double arg3 ;
    double arg4 ;
    double arg5 ;
    double arg6 ;
    double arg7 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 6) || (argc > 6))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 6)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = (double) NUM2DBL(argv[0]);
    arg3 = (double) NUM2DBL(argv[1]);
    arg4 = (double) NUM2DBL(argv[2]);
    arg5 = (double) NUM2DBL(argv[3]);
    arg6 = (double) NUM2DBL(argv[4]);
    arg7 = (double) NUM2DBL(argv[5]);
    result = (int)Plotter_fbezier2rel(arg1,arg2,arg3,arg4,arg5,arg6,arg7);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_fbezier3(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    double arg2 ;
    double arg3 ;
    double arg4 ;
    double arg5 ;
    double arg6 ;
    double arg7 ;
    double arg8 ;
    double arg9 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 8) || (argc > 8))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 8)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = (double) NUM2DBL(argv[0]);
    arg3 = (double) NUM2DBL(argv[1]);
    arg4 = (double) NUM2DBL(argv[2]);
    arg5 = (double) NUM2DBL(argv[3]);
    arg6 = (double) NUM2DBL(argv[4]);
    arg7 = (double) NUM2DBL(argv[5]);
    arg8 = (double) NUM2DBL(argv[6]);
    arg9 = (double) NUM2DBL(argv[7]);
    result = (int)Plotter_fbezier3(arg1,arg2,arg3,arg4,arg5,arg6,arg7,arg8,arg9);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_fbezier3rel(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    double arg2 ;
    double arg3 ;
    double arg4 ;
    double arg5 ;
    double arg6 ;
    double arg7 ;
    double arg8 ;
    double arg9 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 8) || (argc > 8))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 8)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = (double) NUM2DBL(argv[0]);
    arg3 = (double) NUM2DBL(argv[1]);
    arg4 = (double) NUM2DBL(argv[2]);
    arg5 = (double) NUM2DBL(argv[3]);
    arg6 = (double) NUM2DBL(argv[4]);
    arg7 = (double) NUM2DBL(argv[5]);
    arg8 = (double) NUM2DBL(argv[6]);
    arg9 = (double) NUM2DBL(argv[7]);
    result = (int)Plotter_fbezier3rel(arg1,arg2,arg3,arg4,arg5,arg6,arg7,arg8,arg9);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_fbox(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    double arg2 ;
    double arg3 ;
    double arg4 ;
    double arg5 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 4) || (argc > 4))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 4)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = (double) NUM2DBL(argv[0]);
    arg3 = (double) NUM2DBL(argv[1]);
    arg4 = (double) NUM2DBL(argv[2]);
    arg5 = (double) NUM2DBL(argv[3]);
    result = (int)Plotter_fbox(arg1,arg2,arg3,arg4,arg5);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_fboxrel(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    double arg2 ;
    double arg3 ;
    double arg4 ;
    double arg5 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 4) || (argc > 4))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 4)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = (double) NUM2DBL(argv[0]);
    arg3 = (double) NUM2DBL(argv[1]);
    arg4 = (double) NUM2DBL(argv[2]);
    arg5 = (double) NUM2DBL(argv[3]);
    result = (int)Plotter_fboxrel(arg1,arg2,arg3,arg4,arg5);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_fcircle(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    double arg2 ;
    double arg3 ;
    double arg4 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 3) || (argc > 3))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 3)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = (double) NUM2DBL(argv[0]);
    arg3 = (double) NUM2DBL(argv[1]);
    arg4 = (double) NUM2DBL(argv[2]);
    result = (int)Plotter_fcircle(arg1,arg2,arg3,arg4);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_fcirclerel(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    double arg2 ;
    double arg3 ;
    double arg4 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 3) || (argc > 3))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 3)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = (double) NUM2DBL(argv[0]);
    arg3 = (double) NUM2DBL(argv[1]);
    arg4 = (double) NUM2DBL(argv[2]);
    result = (int)Plotter_fcirclerel(arg1,arg2,arg3,arg4);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_fcont(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    double arg2 ;
    double arg3 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 2) || (argc > 2))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 2)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = (double) NUM2DBL(argv[0]);
    arg3 = (double) NUM2DBL(argv[1]);
    result = (int)Plotter_fcont(arg1,arg2,arg3);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_fcontrel(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    double arg2 ;
    double arg3 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 2) || (argc > 2))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 2)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = (double) NUM2DBL(argv[0]);
    arg3 = (double) NUM2DBL(argv[1]);
    result = (int)Plotter_fcontrel(arg1,arg2,arg3);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_fellarc(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    double arg2 ;
    double arg3 ;
    double arg4 ;
    double arg5 ;
    double arg6 ;
    double arg7 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 6) || (argc > 6))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 6)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = (double) NUM2DBL(argv[0]);
    arg3 = (double) NUM2DBL(argv[1]);
    arg4 = (double) NUM2DBL(argv[2]);
    arg5 = (double) NUM2DBL(argv[3]);
    arg6 = (double) NUM2DBL(argv[4]);
    arg7 = (double) NUM2DBL(argv[5]);
    result = (int)Plotter_fellarc(arg1,arg2,arg3,arg4,arg5,arg6,arg7);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_fellarcrel(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    double arg2 ;
    double arg3 ;
    double arg4 ;
    double arg5 ;
    double arg6 ;
    double arg7 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 6) || (argc > 6))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 6)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = (double) NUM2DBL(argv[0]);
    arg3 = (double) NUM2DBL(argv[1]);
    arg4 = (double) NUM2DBL(argv[2]);
    arg5 = (double) NUM2DBL(argv[3]);
    arg6 = (double) NUM2DBL(argv[4]);
    arg7 = (double) NUM2DBL(argv[5]);
    result = (int)Plotter_fellarcrel(arg1,arg2,arg3,arg4,arg5,arg6,arg7);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_fellipse(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    double arg2 ;
    double arg3 ;
    double arg4 ;
    double arg5 ;
    double arg6 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 5) || (argc > 5))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 5)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = (double) NUM2DBL(argv[0]);
    arg3 = (double) NUM2DBL(argv[1]);
    arg4 = (double) NUM2DBL(argv[2]);
    arg5 = (double) NUM2DBL(argv[3]);
    arg6 = (double) NUM2DBL(argv[4]);
    result = (int)Plotter_fellipse(arg1,arg2,arg3,arg4,arg5,arg6);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_fellipserel(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    double arg2 ;
    double arg3 ;
    double arg4 ;
    double arg5 ;
    double arg6 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 5) || (argc > 5))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 5)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = (double) NUM2DBL(argv[0]);
    arg3 = (double) NUM2DBL(argv[1]);
    arg4 = (double) NUM2DBL(argv[2]);
    arg5 = (double) NUM2DBL(argv[3]);
    arg6 = (double) NUM2DBL(argv[4]);
    result = (int)Plotter_fellipserel(arg1,arg2,arg3,arg4,arg5,arg6);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_flinedash(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    VALUE arg2 ;
    double arg3 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 2) || (argc > 2))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 2)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = argv[0];
    arg3 = (double) NUM2DBL(argv[1]);
    result = (int)Plotter_flinedash(arg1,arg2,arg3);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_fline(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    double arg2 ;
    double arg3 ;
    double arg4 ;
    double arg5 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 4) || (argc > 4))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 4)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = (double) NUM2DBL(argv[0]);
    arg3 = (double) NUM2DBL(argv[1]);
    arg4 = (double) NUM2DBL(argv[2]);
    arg5 = (double) NUM2DBL(argv[3]);
    result = (int)Plotter_fline(arg1,arg2,arg3,arg4,arg5);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_flinerel(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    double arg2 ;
    double arg3 ;
    double arg4 ;
    double arg5 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 4) || (argc > 4))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 4)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = (double) NUM2DBL(argv[0]);
    arg3 = (double) NUM2DBL(argv[1]);
    arg4 = (double) NUM2DBL(argv[2]);
    arg5 = (double) NUM2DBL(argv[3]);
    result = (int)Plotter_flinerel(arg1,arg2,arg3,arg4,arg5);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_flinewidth(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    double arg2 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 1) || (argc > 1))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 1)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = (double) NUM2DBL(argv[0]);
    result = (int)Plotter_flinewidth(arg1,arg2);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_fmarker(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    double arg2 ;
    double arg3 ;
    int arg4 ;
    double arg5 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 4) || (argc > 4))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 4)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = (double) NUM2DBL(argv[0]);
    arg3 = (double) NUM2DBL(argv[1]);
    arg4 = NUM2INT(argv[2]);
    arg5 = (double) NUM2DBL(argv[3]);
    result = (int)Plotter_fmarker(arg1,arg2,arg3,arg4,arg5);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_fmarkerrel(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    double arg2 ;
    double arg3 ;
    int arg4 ;
    double arg5 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 4) || (argc > 4))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 4)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = (double) NUM2DBL(argv[0]);
    arg3 = (double) NUM2DBL(argv[1]);
    arg4 = NUM2INT(argv[2]);
    arg5 = (double) NUM2DBL(argv[3]);
    result = (int)Plotter_fmarkerrel(arg1,arg2,arg3,arg4,arg5);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_fmove(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    double arg2 ;
    double arg3 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 2) || (argc > 2))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 2)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = (double) NUM2DBL(argv[0]);
    arg3 = (double) NUM2DBL(argv[1]);
    result = (int)Plotter_fmove(arg1,arg2,arg3);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_fmoverel(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    double arg2 ;
    double arg3 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 2) || (argc > 2))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 2)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = (double) NUM2DBL(argv[0]);
    arg3 = (double) NUM2DBL(argv[1]);
    result = (int)Plotter_fmoverel(arg1,arg2,arg3);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_fpoint(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    double arg2 ;
    double arg3 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 2) || (argc > 2))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 2)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = (double) NUM2DBL(argv[0]);
    arg3 = (double) NUM2DBL(argv[1]);
    result = (int)Plotter_fpoint(arg1,arg2,arg3);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_fpointrel(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    double arg2 ;
    double arg3 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 2) || (argc > 2))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 2)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = (double) NUM2DBL(argv[0]);
    arg3 = (double) NUM2DBL(argv[1]);
    result = (int)Plotter_fpointrel(arg1,arg2,arg3);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_fspace(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    double arg2 ;
    double arg3 ;
    double arg4 ;
    double arg5 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 4) || (argc > 4))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 4)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = (double) NUM2DBL(argv[0]);
    arg3 = (double) NUM2DBL(argv[1]);
    arg4 = (double) NUM2DBL(argv[2]);
    arg5 = (double) NUM2DBL(argv[3]);
    result = (int)Plotter_fspace(arg1,arg2,arg3,arg4,arg5);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_fspace2(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    double arg2 ;
    double arg3 ;
    double arg4 ;
    double arg5 ;
    double arg6 ;
    double arg7 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 6) || (argc > 6))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 6)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = (double) NUM2DBL(argv[0]);
    arg3 = (double) NUM2DBL(argv[1]);
    arg4 = (double) NUM2DBL(argv[2]);
    arg5 = (double) NUM2DBL(argv[3]);
    arg6 = (double) NUM2DBL(argv[4]);
    arg7 = (double) NUM2DBL(argv[5]);
    result = (int)Plotter_fspace2(arg1,arg2,arg3,arg4,arg5,arg6,arg7);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_fconcat(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    double arg2 ;
    double arg3 ;
    double arg4 ;
    double arg5 ;
    double arg6 ;
    double arg7 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 6) || (argc > 6))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 6)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = (double) NUM2DBL(argv[0]);
    arg3 = (double) NUM2DBL(argv[1]);
    arg4 = (double) NUM2DBL(argv[2]);
    arg5 = (double) NUM2DBL(argv[3]);
    arg6 = (double) NUM2DBL(argv[4]);
    arg7 = (double) NUM2DBL(argv[5]);
    result = (int)Plotter_fconcat(arg1,arg2,arg3,arg4,arg5,arg6,arg7);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_fmiterlimit(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    double arg2 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 1) || (argc > 1))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 1)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = (double) NUM2DBL(argv[0]);
    result = (int)Plotter_fmiterlimit(arg1,arg2);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_frotate(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    double arg2 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 1) || (argc > 1))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 1)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = (double) NUM2DBL(argv[0]);
    result = (int)Plotter_frotate(arg1,arg2);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_fscale(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    double arg2 ;
    double arg3 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 2) || (argc > 2))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 2)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = (double) NUM2DBL(argv[0]);
    arg3 = (double) NUM2DBL(argv[1]);
    result = (int)Plotter_fscale(arg1,arg2,arg3);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_fsetmatrix(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    double arg2 ;
    double arg3 ;
    double arg4 ;
    double arg5 ;
    double arg6 ;
    double arg7 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 6) || (argc > 6))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 6)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = (double) NUM2DBL(argv[0]);
    arg3 = (double) NUM2DBL(argv[1]);
    arg4 = (double) NUM2DBL(argv[2]);
    arg5 = (double) NUM2DBL(argv[3]);
    arg6 = (double) NUM2DBL(argv[4]);
    arg7 = (double) NUM2DBL(argv[5]);
    result = (int)Plotter_fsetmatrix(arg1,arg2,arg3,arg4,arg5,arg6,arg7);
    
    vresult = INT2NUM(result);
    return vresult;
}


static VALUE
_wrap_Plotter_ftranslate(int argc, VALUE *argv, VALUE self) {
    Plotter *arg1 = (Plotter *) 0 ;
    double arg2 ;
    double arg3 ;
    int result;
    VALUE vresult = Qnil;
    
    if ((argc < 2) || (argc > 2))
    rb_raise(rb_eArgError, "wrong # of arguments(%d for 2)",argc);
    SWIG_ConvertPtr(self, (void **) &arg1, SWIGTYPE_p_Plotter, 1);
    arg2 = (double) NUM2DBL(argv[0]);
    arg3 = (double) NUM2DBL(argv[1]);
    result = (int)Plotter_ftranslate(arg1,arg2,arg3);
    
    vresult = INT2NUM(result);
    return vresult;
}



/* -------- TYPE CONVERSION AND EQUIVALENCE RULES (BEGIN) -------- */

static swig_type_info _swigt__p_FILE[] = {{"_p_FILE", 0, "FILE *", 0},{"_p_FILE"},{0}};
static swig_type_info _swigt__p_PlotterParams[] = {{"_p_PlotterParams", 0, "PlotterParams *", 0},{"_p_PlotterParams"},{0}};
static swig_type_info _swigt__p_Plotter[] = {{"_p_Plotter", 0, "Plotter *", 0},{"_p_Plotter"},{0}};

static swig_type_info *swig_types_initial[] = {
_swigt__p_FILE, 
_swigt__p_PlotterParams, 
_swigt__p_Plotter, 
0
};


/* -------- TYPE CONVERSION AND EQUIVALENCE RULES (END) -------- */


#ifdef __cplusplus
extern "C"
#endif
SWIGEXPORT(void) Init_libplot(void) {
    int i;
    
    SWIG_InitRuntime();
    mLibplot = rb_define_module("Libplot");
    
    for (i = 0; swig_types_initial[i]; i++) {
        swig_types[i] = SWIG_TypeRegister(swig_types_initial[i]);
        SWIG_define_class(swig_types[i]);
    }
    
    
    cPlotterParams.klass = rb_define_class_under(mLibplot, "PlotterParams", rb_cObject);
    SWIG_TypeClientData(SWIGTYPE_p_PlotterParams, (void *) &cPlotterParams);
    rb_define_alloc_func(cPlotterParams.klass, _wrap_PlotterParams_allocate);
    rb_define_method(cPlotterParams.klass, "initialize", _wrap_new_PlotterParams, -1);
    rb_define_method(cPlotterParams.klass, "setplparam", _wrap_PlotterParams_setplparam, -1);
    cPlotterParams.mark = 0;
    cPlotterParams.destroy = (void (*)(void *)) free_PlotterParams;
    
    cPlotter.klass = rb_define_class_under(mLibplot, "Plotter", rb_cObject);
    SWIG_TypeClientData(SWIGTYPE_p_Plotter, (void *) &cPlotter);
    rb_define_alloc_func(cPlotter.klass, _wrap_Plotter_allocate);
    rb_define_method(cPlotter.klass, "initialize", _wrap_new_Plotter, -1);
    rb_define_method(cPlotter.klass, "deletepl", _wrap_Plotter_deletepl, -1);
    rb_define_method(cPlotter.klass, "arc", _wrap_Plotter_arc, -1);
    rb_define_method(cPlotter.klass, "box", _wrap_Plotter_box, -1);
    rb_define_method(cPlotter.klass, "circle", _wrap_Plotter_circle, -1);
    rb_define_method(cPlotter.klass, "closepl", _wrap_Plotter_closepl, -1);
    rb_define_method(cPlotter.klass, "cont", _wrap_Plotter_cont, -1);
    rb_define_method(cPlotter.klass, "erase", _wrap_Plotter_erase, -1);
    rb_define_method(cPlotter.klass, "label", _wrap_Plotter_label, -1);
    rb_define_method(cPlotter.klass, "line", _wrap_Plotter_line, -1);
    rb_define_method(cPlotter.klass, "linemod", _wrap_Plotter_linemod, -1);
    rb_define_method(cPlotter.klass, "move", _wrap_Plotter_move, -1);
    rb_define_method(cPlotter.klass, "openpl", _wrap_Plotter_openpl, -1);
    rb_define_method(cPlotter.klass, "point", _wrap_Plotter_point, -1);
    rb_define_method(cPlotter.klass, "space", _wrap_Plotter_space, -1);
    rb_define_method(cPlotter.klass, "alabel", _wrap_Plotter_alabel, -1);
    rb_define_method(cPlotter.klass, "arcrel", _wrap_Plotter_arcrel, -1);
    rb_define_method(cPlotter.klass, "bezier2", _wrap_Plotter_bezier2, -1);
    rb_define_method(cPlotter.klass, "bezier2rel", _wrap_Plotter_bezier2rel, -1);
    rb_define_method(cPlotter.klass, "bezier3", _wrap_Plotter_bezier3, -1);
    rb_define_method(cPlotter.klass, "bezier3rel", _wrap_Plotter_bezier3rel, -1);
    rb_define_method(cPlotter.klass, "bgcolor", _wrap_Plotter_bgcolor, -1);
    rb_define_method(cPlotter.klass, "bgcolorname", _wrap_Plotter_bgcolorname, -1);
    rb_define_method(cPlotter.klass, "boxrel", _wrap_Plotter_boxrel, -1);
    rb_define_method(cPlotter.klass, "capmod", _wrap_Plotter_capmod, -1);
    rb_define_method(cPlotter.klass, "circlerel", _wrap_Plotter_circlerel, -1);
    rb_define_method(cPlotter.klass, "closepath", _wrap_Plotter_closepath, -1);
    rb_define_method(cPlotter.klass, "color", _wrap_Plotter_color, -1);
    rb_define_method(cPlotter.klass, "colorname", _wrap_Plotter_colorname, -1);
    rb_define_method(cPlotter.klass, "contrel", _wrap_Plotter_contrel, -1);
    rb_define_method(cPlotter.klass, "ellarc", _wrap_Plotter_ellarc, -1);
    rb_define_method(cPlotter.klass, "ellarcrel", _wrap_Plotter_ellarcrel, -1);
    rb_define_method(cPlotter.klass, "ellipse", _wrap_Plotter_ellipse, -1);
    rb_define_method(cPlotter.klass, "ellipserel", _wrap_Plotter_ellipserel, -1);
    rb_define_method(cPlotter.klass, "endpath", _wrap_Plotter_endpath, -1);
    rb_define_method(cPlotter.klass, "endsubpath", _wrap_Plotter_endsubpath, -1);
    rb_define_method(cPlotter.klass, "fillcolor", _wrap_Plotter_fillcolor, -1);
    rb_define_method(cPlotter.klass, "fillcolorname", _wrap_Plotter_fillcolorname, -1);
    rb_define_method(cPlotter.klass, "fillmod", _wrap_Plotter_fillmod, -1);
    rb_define_method(cPlotter.klass, "filltype", _wrap_Plotter_filltype, -1);
    rb_define_method(cPlotter.klass, "flushpl", _wrap_Plotter_flushpl, -1);
    rb_define_method(cPlotter.klass, "fontname", _wrap_Plotter_fontname, -1);
    rb_define_method(cPlotter.klass, "fontsize", _wrap_Plotter_fontsize, -1);
    rb_define_method(cPlotter.klass, "havecap", _wrap_Plotter_havecap, -1);
    rb_define_method(cPlotter.klass, "joinmod", _wrap_Plotter_joinmod, -1);
    rb_define_method(cPlotter.klass, "labelwidth", _wrap_Plotter_labelwidth, -1);
    rb_define_method(cPlotter.klass, "linedash", _wrap_Plotter_linedash, -1);
    rb_define_method(cPlotter.klass, "linerel", _wrap_Plotter_linerel, -1);
    rb_define_method(cPlotter.klass, "linewidth", _wrap_Plotter_linewidth, -1);
    rb_define_method(cPlotter.klass, "marker", _wrap_Plotter_marker, -1);
    rb_define_method(cPlotter.klass, "markerrel", _wrap_Plotter_markerrel, -1);
    rb_define_method(cPlotter.klass, "moverel", _wrap_Plotter_moverel, -1);
    rb_define_method(cPlotter.klass, "orientation", _wrap_Plotter_orientation, -1);
    rb_define_method(cPlotter.klass, "pencolor", _wrap_Plotter_pencolor, -1);
    rb_define_method(cPlotter.klass, "pencolorname", _wrap_Plotter_pencolorname, -1);
    rb_define_method(cPlotter.klass, "pentype", _wrap_Plotter_pentype, -1);
    rb_define_method(cPlotter.klass, "pointrel", _wrap_Plotter_pointrel, -1);
    rb_define_method(cPlotter.klass, "restorestate", _wrap_Plotter_restorestate, -1);
    rb_define_method(cPlotter.klass, "savestate", _wrap_Plotter_savestate, -1);
    rb_define_method(cPlotter.klass, "space2", _wrap_Plotter_space2, -1);
    rb_define_method(cPlotter.klass, "textangle", _wrap_Plotter_textangle, -1);
    rb_define_method(cPlotter.klass, "ffontname", _wrap_Plotter_ffontname, -1);
    rb_define_method(cPlotter.klass, "ffontsize", _wrap_Plotter_ffontsize, -1);
    rb_define_method(cPlotter.klass, "flabelwidth", _wrap_Plotter_flabelwidth, -1);
    rb_define_method(cPlotter.klass, "ftextangle", _wrap_Plotter_ftextangle, -1);
    rb_define_method(cPlotter.klass, "farc", _wrap_Plotter_farc, -1);
    rb_define_method(cPlotter.klass, "farcrel", _wrap_Plotter_farcrel, -1);
    rb_define_method(cPlotter.klass, "fbezier2", _wrap_Plotter_fbezier2, -1);
    rb_define_method(cPlotter.klass, "fbezier2rel", _wrap_Plotter_fbezier2rel, -1);
    rb_define_method(cPlotter.klass, "fbezier3", _wrap_Plotter_fbezier3, -1);
    rb_define_method(cPlotter.klass, "fbezier3rel", _wrap_Plotter_fbezier3rel, -1);
    rb_define_method(cPlotter.klass, "fbox", _wrap_Plotter_fbox, -1);
    rb_define_method(cPlotter.klass, "fboxrel", _wrap_Plotter_fboxrel, -1);
    rb_define_method(cPlotter.klass, "fcircle", _wrap_Plotter_fcircle, -1);
    rb_define_method(cPlotter.klass, "fcirclerel", _wrap_Plotter_fcirclerel, -1);
    rb_define_method(cPlotter.klass, "fcont", _wrap_Plotter_fcont, -1);
    rb_define_method(cPlotter.klass, "fcontrel", _wrap_Plotter_fcontrel, -1);
    rb_define_method(cPlotter.klass, "fellarc", _wrap_Plotter_fellarc, -1);
    rb_define_method(cPlotter.klass, "fellarcrel", _wrap_Plotter_fellarcrel, -1);
    rb_define_method(cPlotter.klass, "fellipse", _wrap_Plotter_fellipse, -1);
    rb_define_method(cPlotter.klass, "fellipserel", _wrap_Plotter_fellipserel, -1);
    rb_define_method(cPlotter.klass, "flinedash", _wrap_Plotter_flinedash, -1);
    rb_define_method(cPlotter.klass, "fline", _wrap_Plotter_fline, -1);
    rb_define_method(cPlotter.klass, "flinerel", _wrap_Plotter_flinerel, -1);
    rb_define_method(cPlotter.klass, "flinewidth", _wrap_Plotter_flinewidth, -1);
    rb_define_method(cPlotter.klass, "fmarker", _wrap_Plotter_fmarker, -1);
    rb_define_method(cPlotter.klass, "fmarkerrel", _wrap_Plotter_fmarkerrel, -1);
    rb_define_method(cPlotter.klass, "fmove", _wrap_Plotter_fmove, -1);
    rb_define_method(cPlotter.klass, "fmoverel", _wrap_Plotter_fmoverel, -1);
    rb_define_method(cPlotter.klass, "fpoint", _wrap_Plotter_fpoint, -1);
    rb_define_method(cPlotter.klass, "fpointrel", _wrap_Plotter_fpointrel, -1);
    rb_define_method(cPlotter.klass, "fspace", _wrap_Plotter_fspace, -1);
    rb_define_method(cPlotter.klass, "fspace2", _wrap_Plotter_fspace2, -1);
    rb_define_method(cPlotter.klass, "fconcat", _wrap_Plotter_fconcat, -1);
    rb_define_method(cPlotter.klass, "fmiterlimit", _wrap_Plotter_fmiterlimit, -1);
    rb_define_method(cPlotter.klass, "frotate", _wrap_Plotter_frotate, -1);
    rb_define_method(cPlotter.klass, "fscale", _wrap_Plotter_fscale, -1);
    rb_define_method(cPlotter.klass, "fsetmatrix", _wrap_Plotter_fsetmatrix, -1);
    rb_define_method(cPlotter.klass, "ftranslate", _wrap_Plotter_ftranslate, -1);
    cPlotter.mark = 0;
    cPlotter.destroy = (void (*)(void *)) free_Plotter;
}

